Bug 195014 - gdm autologin asks for password
gdm autologin asks for password
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 09:32 EDT by Jan-Thomas Czornack
Modified: 2008-03-18 16:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:34:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan-Thomas Czornack 2006-06-14 09:32:38 EDT
Description of problem: 
After the update from gdm 2.14.4 to 2.14.8, gdm asks for a password if autologin
is enabled. 


Version-Release number of selected component (if applicable):
2.14.8

How reproducible:
Occurs after the update to gdm 2.14.8. 

Steps to Reproduce:
1. Enable autologin for a user
2. Update gdm to version 2.14.8
3. Reboot
Comment 1 Phil 2006-06-14 16:10:37 EDT
upstream bug, http://bugzilla.gnome.org/show_bug.cgi?id=344191

should be fixed in 2.14.9
Comment 2 Thierry Thévoz 2006-06-16 14:49:06 EDT
My security log show the following during auto-login :

< 2.14.4: pam_unix(gdm-autologin:session)
> 2.14.8: pam_unix(gdm:session)

Looking at /etc/pam.d/gdm and /etc/pam.d/gdm-autologin, it explains why gdm now
asks for password.
Comment 3 Danny Yee 2006-06-16 20:27:34 EDT
This should have been picked up in regression testing... I have non-techie
members of my family using Fedora Core desktops, which I updated to FC5
remotely, and this was a bit of a shock to them.
Comment 4 Mike A. Harris 2006-06-21 07:03:14 EDT
(In reply to comment #3)
> This should have been picked up in regression testing... I have non-techie
> members of my family using Fedora Core desktops, which I updated to FC5
> remotely, and this was a bit of a shock to them.

Fedora has no official formal regression testing or QA testing,
but if it did, you might be correct.
Comment 5 Kyrre Ness Sjøbæk 2006-06-21 07:50:05 EDT
When will 2.14.9 come out?
Comment 6 Ray Strode [halfline] 2006-06-21 10:30:24 EDT
I've requested it be moved from updates-testing to updates this morning, so it
should show up sometime today or tomorrow.
Comment 7 Ray Strode [halfline] 2008-03-18 14:34:12 EDT
Hi,

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.